#ifndef __MISC__H
#define __MISC__H

typedef struct {
	gchar *action;
	gchar *src_ip;
	gchar *src_port;
	gchar *dest_ip;
	gchar *dest_port;
	gchar *protocol;
	gchar *direction;
  GSList *options_matrix;  /* added by rdg */
	GHashTable *rule_options;
} Rule;

Rule current;
gchar *operation;
gchar *optionString;
gchar *commentSection;

/* added by rdg */
/* this the data the GSlist will point to */
struct options_struct {
  gchar *keyword;
  gchar *value;
};


void
file_opener                        (const char *);

void
rule_parser                        (gchar *);

gchar *
rule_builder                       (gpointer *);

void
rule_list_filler                   (gchar *rule);


void
hash_table_iterate                 (gpointer,
				    gpointer,
				    gpointer);

void
clear_interface                    (gpointer);


void
file_prep                          (const char *);


void
file_writer                      (gpointer, gpointer);


#endif
